Bug 51538 - Linking address conflicts, Master Document sections not update
Summary: Linking address conflicts, Master Document sections not update
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2012-06-28 17:27 UTC by Jared
Modified: 2019-12-03 14:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jared 2012-06-28 17:27:58 UTC
Problem description: When creating a Master Document with sections included from other files within a directory structure, those files are linked according to

Steps to reproduce:
1. Create Master Document on Windows platform
2. Insert Section linked to a local file (specifically mounted network drive directory)
3. Save Document within the directory structure as linked sections, although in different folder
4. Reopen on Mac or Linux platform

Current behavior: Linking address conflicts and sections do not update

Expected behavior: Linked sections maintain ability to update in a full-cross platform way

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.2) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.43 Safari/536.11
Comment 1 Rainer Bielefeld Retired 2012-06-28 22:06:18 UTC
@reporter:
Thank you for your report – unfortunately important information is missing.
May be hints on <http://wiki.documentfoundation.org/BugReport> will help you to find out what information will be useful to reproduce your problem? If you believe that that  is really sophisticated please as for Help on a user mailing list
Please:
- Write a meaningful Summary describing exactly what the problem is
- Attach a Test kit with sample documents (zip with few documents in a path
  structure) or refer to an existing 
  sample document in an other Bug with a link.
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment. Best way is to insert your screenshots
  into a DRAW document and to add comments that explain what you want to show
- Contribute a document related step by step instruction containing every 
  key press and every mouse click how to reproduce your problem 
  (similar to example in Bug 43431)
– if possible contribute an instruction how to create a sample document 
  from the scratch
- add information 
  -- what EXACTLY is unexpected ("In Navigator I see link address xxx but 
     expect yyy because ...")
  -- and WHY do you believe it's unexpected (cite Help or Documentation!)
  -- concerning your PC 
  -- Whether sections update will work wihtwhen Master document works when
     opened with WIN
  -- concerning your OS (Version, Distribution, Language)
  -- concerning your LibO version localization (UI language, Locale setting)
  –- Libo settings that might be related to your problems 
    (Save links as ...)
  -- how you launch LibO and how you opened the sample document
  –- If you can contribute an AOOo Issue that might be useful
  -- everything else crossing your mind after you read linked texts
Comment 2 Urmas 2012-07-03 14:52:51 UTC
Would you stop spamming the Bugzilla? One report is enough.
Comment 3 Urmas 2012-07-06 03:23:26 UTC
Presently the paths to linked documents are saved as
"file:///<Drive>:/local_path/..." even for mapped drives, which is, of course,
strange.

To OP: which 'crossplatform' solution will satisfy you?
Comment 4 Jared 2012-08-15 18:06:56 UTC
I feel that _relative linking_ rather than absolute linking would allow for Sections to work properly in a cross-platform environment?
i.e. "file:///" to be followed by a relative path from the file location, rather than an absolute path of the entire directory structure higher up.
Comment 5 Jared 2012-08-15 18:13:54 UTC
also see Bug#53549 for a similar issue in Calc: https://www.libreoffice.org/bugzilla/show_bug.cgi?id=53549
Comment 6 QA Administrators 2015-01-05 17:51:15 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2016-01-17 20:02:16 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 13:51:26 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:03:41 UTC
Dear Jared,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug